Package htsjdk.beta.codecs.variants.vcf.vcfv3_3

# Class VCFCodecV3_3

java.lang.Object
htsjdk.beta.codecs.variants.vcf.VCFCodec
htsjdk.beta.codecs.variants.vcf.vcfv3_3.VCFCodecV3_3

All Implemented Interfaces:
  `HtsCodec<VariantsDecoderOptions,VariantsEncoderOptions>`, `Upgradeable`, `VariantsCodec`

public class VCFCodecV3_3 extends VCFCodec
VCF V3.3 codec.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HtsVersion`
`VCF_V33_VERSION`

## Constructor Summary

Constructors
Constructor
Description
`VCFCodecV3_3()`

## Method Summary

Modifier and Type
Method
Description
`VCFDecoder`
`getDecoder(Bundle inputBundle, VariantsDecoderOptions decoderOptions)`
Get an `HtsDecoder` to decode the provided inputs.
`VCFEncoder`
`getEncoder(Bundle outputBundle, VariantsEncoderOptions encoderOptions)`
Get an `HtsEncoder` to encode to the provided outputs.
`protected String`
`getSignatureString()`
Get the signature string for this codec.
`HtsVersion`
`getVersion()`
Get the version of the file format returned by `HtsCodec.getFileFormat()` that is supported by this codec.
`boolean`
`runVersionUpgrade(HtsVersion sourceCodecVersion, HtsVersion targetCodecVersion)`

### Methods inherited from class htsjdk.beta.codecs.variants.vcf.VCFCodec

`canDecodeSignature, canDecodeURI, getFileFormat, getSignatureLength, getSignatureProbeLength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.beta.plugin.HtsCodec

`getDisplayName, ownsURI`

### Methods inherited from interface htsjdk.beta.plugin.variants.VariantsCodec

`getContentType`

## Field Details

### VCF_V33_VERSION

public static final HtsVersion VCF_V33_VERSION

## Constructor Details

### VCFCodecV3_3

public VCFCodecV3_3()

## Method Details

### getVersion

public HtsVersion getVersion()
Description copied from interface: `HtsCodec`
Get the version of the file format returned by `HtsCodec.getFileFormat()` that is supported by this codec.

Returns:
  the file format version (`HtsVersion`) supported by this codec

### getDecoder

public VCFDecoder getDecoder(Bundle inputBundle, VariantsDecoderOptions decoderOptions)
Description copied from interface: `HtsCodec`
Get an `HtsDecoder` to decode the provided inputs. The input bundle must contain resources of the type required by this codec. To find a codec appropriate for decoding a given resource, use an `HtsCodecResolver` obtained from an `HtsCodecRegistry`.

The framework will never call thi* method unless either `HtsCodec.ownsURI(IOPath)`, or `HtsCodec.canDecodeURI(IOPath)` and `HtsCodec.canDecodeSignature(SignatureStream, String)` (IOPath)} return true for `inputBundle`.

Parameters:
  `inputBundle` - input to be decoded. To get a decoder for use with index queries that use `HtsQuery` methods, the bundle must contain an index resource.
  `decoderOptions` - options for the decoder to use
Returns:
  an `HtsDecoder` that can decode the provided inputs

### getEncoder

public VCFEncoder getEncoder(Bundle outputBundle, VariantsEncoderOptions encoderOptions)
Description copied from interface: `HtsCodec`
Get an `HtsEncoder` to encode to the provided outputs. The output bundle must contain resources of the type required by this codec. To find a codec appropriate for encoding a given resource, use an `HtsCodecResolver` obtained from an `HtsCodecRegistry`. The framework will never call this method unless either `HtsCodec.ownsURI(IOPath)`, or `HtsCodec.canDecodeURI(IOPath)` returned true for `outputBundle`.

Parameters:
  `outputBundle` - target output for the encoder
  `encoderOptions` - encoder options to use
Returns:
  an `HtsEncoder` suitable for writing to the provided outputs

### runVersionUpgrade

public boolean runVersionUpgrade(HtsVersion sourceCodecVersion, HtsVersion targetCodecVersion)

### getSignatureString

protected String getSignatureString()
Description copied from class: `VCFCodec`
Get the signature string for this codec.

Specified by:
  `getSignatureString` in class `VCFCodec`
Returns:
  the signature string for this codec